Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 50413008: Rendering text-justify:none (Closed)

Created:
5 years, 9 months ago by dw.im
Modified:
5 years, 9 months ago
CC:
blink-reviews, bemjb+rendering_chromium.org, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

Rendering text-justify:none When the value of text-justify is 'none', we don't need to touch anything related to the expansion opportunity. We just need to leave the expansion opportunity as 0, so that justification doesn't work for this case. BUG=248894 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=161006

Patch Set 1 #

Patch Set 2 : #

Total comments: 4

Patch Set 3 : Remove redundant condition #

Patch Set 4 : patch for landing #

Unified diffs Side-by-side diffs Delta from patch set Stats (+70 lines, -1 line) Patch
A LayoutTests/fast/css3-text/css3-text-justify/resources/text-justify.css View 1 1 chunk +18 lines, -0 lines 0 comments Download
A LayoutTests/fast/css3-text/css3-text-justify/text-justify-none.html View 1 chunk +25 lines, -0 lines 0 comments Download
A LayoutTests/fast/css3-text/css3-text-justify/text-justify-none-expected.html View 1 chunk +25 lines, -0 lines 0 comments Download
M Source/core/rendering/RenderBlockLineLayout.cpp View 1 2 2 chunks +2 lines, -1 line 0 comments Download

Messages

Total messages: 9 (0 generated)
dw.im
First step to implement the rendering part of the text-justify property.
5 years, 9 months ago (2013-10-30 03:33:26 UTC) #1
dw.im
I believe we don't need to do anything to take care of the two values ...
5 years, 9 months ago (2013-10-30 03:36:08 UTC) #2
Julien - ping for review
Levi or Eric are better reviewers for line layout code.
5 years, 9 months ago (2013-10-30 23:41:40 UTC) #3
leviw_travelin_and_unemployed
https://codereview.chromium.org/50413008/diff/40002/Source/core/rendering/RenderBlockLineLayout.cpp File Source/core/rendering/RenderBlockLineLayout.cpp (right): https://codereview.chromium.org/50413008/diff/40002/Source/core/rendering/RenderBlockLineLayout.cpp#newcode1016 Source/core/rendering/RenderBlockLineLayout.cpp:1016: TextJustify textJustify = style()->textJustify(); I'd rather see this as ...
5 years, 9 months ago (2013-10-31 00:01:11 UTC) #4
dw.im
https://codereview.chromium.org/50413008/diff/40002/Source/core/rendering/RenderBlockLineLayout.cpp File Source/core/rendering/RenderBlockLineLayout.cpp (right): https://codereview.chromium.org/50413008/diff/40002/Source/core/rendering/RenderBlockLineLayout.cpp#newcode1016 Source/core/rendering/RenderBlockLineLayout.cpp:1016: TextJustify textJustify = style()->textJustify(); On 2013/10/31 00:01:11, Levi wrote: ...
5 years, 9 months ago (2013-10-31 00:16:32 UTC) #5
leviw_travelin_and_unemployed
Okay. LGTM.
5 years, 9 months ago (2013-10-31 00:23:59 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dw.im@samsung.com/50413008/110001
5 years, 9 months ago (2013-10-31 00:29:08 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dw.im@samsung.com/50413008/250001
5 years, 9 months ago (2013-10-31 00:36:00 UTC) #8
commit-bot: I haz the power
5 years, 9 months ago (2013-10-31 02:18:30 UTC) #9
Message was sent while issue was closed.
Change committed as 161006

Powered by Google App Engine
This is Rietveld 408576698